// app.js
import login from './utils/login'
const app = getApp()
import * as httpUtil from "./utils/httpUtil";

App({
  onLaunch() {
    // 展示本地存储能力
    const logs = wx.getStorageSync('logs') || [];
    logs.unshift(Date.now());
    wx.setStorageSync('logs', logs);
    wx.login({
      success: (res) => {
        const app = getApp();
        const { code: js_code } = res;
        // 发送 res.code 到后台换取 openId, sessionKey, unionId
        wx.request({
          url: `${app.globalData.publicUrl}/st/api/weixin/appAuth?js_code=` + js_code,
          method: 'get',
          success: (res) => {
            const { errcode, data } = res.data;
            if (errcode === 0) {
              app.globalData.wxInfo = data;
            }
          },
          error: (err) => {
            wx.showToast({
              title: err.msg,
              icon: 'error',
            });
          },
        });
      },
    });
    //获取设备顶部窗口的高度（不同设备窗口高度不一样，根据这个来设置自定义导航栏的高度
    wx.getSystemInfo({
      success: (res) => {
        this.globalData.height = res.statusBarHeight;
        this.globalData.windowHeight = res.windowHeight;
      },
    });
  },
  globalData: {
    // 微信用户基本信息
    userInfo: {},
    // 微信用户openid，sessionKey
    wxInfo: {},
    // 头部高度
    height: 0,
    // 手机页面高度
    windowHeight: 0,
    // 请求接口
    // publicUrl: 'http://192.168.1.197:9901',
    publicUrl: 'https://broadcast.waityou24.cn',
    // publicUrl: 'https://www.waityou24.cn',
    // 图片请求接口
    fileUrl: 'https://broadcast.waityou24.cn',
  },
  // 微信openid回调
  toLogin: login.toLogin,
  ...httpUtil,
});


